<?
include 'mysql.php';
include_once("include/sesi.php");
Error_Reporting(E_ALL & ~E_NOTICE);
include 'include/ini.php';
include_once("include/antixak.php");
include 'include/zag.php';
include 'include/ini.php';
$_title = 'Linewap2'; $log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////

if (isset($user)) {

switch($go) {

default:

echo"<small>";

echo"<b>Liza</b><br/>
Здраствуй $log!<br/>
Я выращивааю питомцев. Могу вырастить и для тебя, но ты должен мне принести кое-что.<br/>
Выбери кого ты хочешь взять себе?<br/>
<a href=\"pets.php?$sd&go=wolf\">Волк</a>";

echo"</small>";

break;

case 'wolf':

echo"<small>";

//////////////////////////////
$file=@file("MySql/base123/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Wolf Flate"){
echo"Ты принес мне Wolf Flate, спасибо! Но она твоя! Спомощью её ты можешь вызывать волка. Нажми на неё в инветаре и волк появится в бою! Удачи, юный войн!";

echo"</small>";

include_once"include/down.php";
exit;

}
}

echo"<b>Liza</b><br/>
Ты выбрал волка, чтобы его получить принеси мне 1000 Thread и 500 Suede. Ты найдешь их у любых окрестностях. Как соберешь нужное колличество, отнеси их к моему другу Gentler'.y.";

$file=@file("MySql/base123/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];
}
}

if(empty($_GLOBAL[thread])){ $_GLOBAL[thread]=0; }
if(empty($_GLOBAL[suede])){ $_GLOBAL[suede]=0; }

echo"<br/><b>У вас:</b><br/>
Thread: $_GLOBAL[thread]<br/>
Suede: $_GLOBAL[suede]<br/>";
echo"<b>Осталось собрать:</b><br/>
Thread: ".round(1000-$_GLOBAL[thread])."<br/>
Suede: ".round(500-$_GLOBAL[suede])."";
echo"<br/><a href=\"pets.php?$sd&go=getler\">Getler</a>";
///////////////////////////////////

echo"</small>";

break;

case 'getler':

$file=@file("MySql/base123/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];
}
}
echo"<small>";

echo"<b>Getler</b><br/>
Здраствуй $log!<br/>
Меня прежупредила Liza что ты придешь, и сказала что ты мне должен принести 1000 Thread и 500 Suede.<br/>";

if($_GLOBAL[thread]>="1000" && $_GLOBAL[suede]>="500"){
echo"Спасибо! Ты принес мне вещи. Я тебе даю Wolf Flate, отнеси её Lize.";

$file=@file("MySql/base123/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Thread"){

$kol=$_GLOBAL[thread]-1000;

if($kol=="0"){

$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("MySql/base123/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("MySql/base123/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Suede"){

$kol2=$_GLOBAL[suede]-500;

if($kol2=="0"){

$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

}else{

$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol2:||:$data[4]:||:";

$fp=fopen("MySql/base123/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("MySql/base123/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}}

$text2="0:||:0:||:wolf:||:1:||:Wolf Flate:||:";

$fp=fopen("MySql/base123/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

}else{echo"Ты еще не собрал нужное колличество вешей.";}

echo"<br/>Если ты не понимаешь о чем идет речь сходи к Lize.";
echo"</small>";

break;

}
}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>
